Class | ActiveRecord::ConnectionAdapters::Column
In: | lib/gettext/active_record.rb
Parent: | Object

An abstract definition of a column in a table.

### Methods

human_name_with_gettext

### External Aliases

human_name | -> | human_name_witout_localized

### Attributes

table_class | [RW] |

### Public Instance methods

human_name_with_gettext()

[Source]

        # File lib/gettext/active_record.rb, line 40
    40:       def human_name_with_gettext
    41:         if table_class
    42:           table_class.human_attribute_name(@name)
    43:         else
    44:           @name.humanize
    45:         end
    46:       end

[Validate]